export default rehypePrism;
export type Node = import('hast').Node & {
    properties: any;
};
export type Parent = import('hast').Parent & {
    properties: any;
};
export type Root = import('hast').Root;
export type Visitor = import('unist-util-visit').Visitor<Node>;
/**
 * options
 * Configuration.
 */
export type Options = {
    /**
     * Set `showLineNumbers` to `true` to always display line number
     */
    showLineNumbers?: boolean;
    /**
     * Set `ignoreMissing` to `true` to ignore unsupported languages and line highlighting when no language is specified
     */
    ignoreMissing?: boolean;
};
/**
 * Rehype plugin that highlights code blocks with refractor (prismjs)
 *
 * @type {import('unified').Plugin<[Options?], Root>}
 */
declare const rehypePrism: import('unified').Plugin<[Options?], Root>;
